Show All Subscription
Show All Webhook Subscriptions
GET
Retrieve all webhook subscriptions for the authenticated account.
Request
GET
GET /v1/subscribe
Query Parameters
- page
integerThe page number for pagination.
- limit
integerNumber of subscriptions per page. Default: 25. Requests above 50 are capped at 50.
Response
200
Body
The API returns a paginated list of webhook subscriptions.
- total
number
- per_page
number
- current_page
number
- last_page
number
- next_page_url
string | null
- prev_page_url
string | null
- data
array
Webhook Subscription Object
- id
number
- event_name
string
- target_url
string
- source
string
- created_at
string
- updated_at
string
401
Error
- unauthorized
Response Example
{
"total": 3,
"per_page": 25,
"current_page": 1,
"last_page": 1,
"next_page_url": null,
"prev_page_url": null,
"from": 1,
"to": 3,
"data": [
{
"id": 8,
"event_name": "candidate.assigned_to_job",
"target_url": "https://webhook.site/0519f242-c3c7-4e07-8187-adfd63c9a",
"source": "public",
"created_at": "2026-07-29T20:09:54.000Z",
"updated_at": "2026-07-29T20:09:54.000Z"
},
{
"id": 7,
"event_name": "candidate.removed_from_job",
"target_url": "https://webhook.site/0519f242-c3c7-4e07-8187-adfd63c9a",
"source": "public",
"created_at": "2026-07-29T20:10:54.000Z",
"updated_at": "2026-07-29T20:10:54.000Z"
},
{
"id": 1,
"event_name": "contact.updated",
"target_url": "https://webhook.site/0519f242-c3c7-4e07-8187-adfd63c9a",
"source": "public",
"created_at": "2026-07-29T20:11:54.000Z",
"updated_at": "2026-07-29T20:11:54.000Z"
}
]
}